import * as $dara from '@darabonba/typescript';
export declare class DescribeBandwidthLimitationResponseBodyBandwidthsBandwidth extends $dara.Model {
    /**
     * @remarks
     * The billing method for network usage. Valid values:
     *
     * *   PayByBandwidth
     * *   PayByTraffic
     *
     * @example
     * PayByTraffic
     */
    internetChargeType?: string;
    /**
     * @remarks
     * The maximum public bandwidth.
     *
     * @example
     * 100
     */
    max?: number;
    /**
     * @remarks
     * The minimum public bandwidth.
     *
     * @example
     * 0
     */
    min?: number;
    /**
     * @remarks
     * The unit of the public bandwidth.
     *
     * @example
     * Mbps
     */
    unit?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeBandwidthLimitationResponseBodyBandwidths extends $dara.Model {
    bandwidth?: DescribeBandwidthLimitationResponseBodyBandwidthsBandwidth[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeBandwidthLimitationResponseBody extends $dara.Model {
    /**
     * @remarks
     * Details about the maximum public bandwidth.
     */
    bandwidths?: DescribeBandwidthLimitationResponseBodyBandwidths;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * 473469C7-AA6F-4DC5-B3DB-A3DC0DE3****
     */
    requestId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
